////////////////////////////////////////////////////////////////////////////////////////

BEGIN_DATASET

DATASET_NAME,"TVP5154 ROM - Initialize for NTSC + THS8200"

// Write initial settings to all 4 TVP5154 decoders

SELECT,VID_DEC,1
WR_REG,VID_DEC,1,0x7F,0x00	// Restart TVP5154 uP
WR_REG,VID_DEC,1,0x03,0x0D	// Enable YCbCr, sync, control outputs	
WR_REG,VID_DEC,1,0x17,0x1B  	// Disable scaler powerdown for ROM2.0 and enable SAV/EAV codes
//WR_REG,VID_DEC,1,0x15,0x81	// Enable Stable Sync mode

SELECT,VID_DEC,2
WR_REG,VID_DEC,1,0x7F,0x00	// Restart TVP5154 uP
WR_REG,VID_DEC,1,0x03,0x0D	// Enable YCbCr, sync, control outputs	
WR_REG,VID_DEC,1,0x17,0x1B  	// Disable scaler powerdown for ROM2.0 and enable SAV/EAV codes
//WR_REG,VID_DEC,1,0x15,0x81	// Enable Stable Sync mode

SELECT,VID_DEC,3
WR_REG,VID_DEC,1,0x7F,0x00	// Restart TVP5154 uP
WR_REG,VID_DEC,1,0x03,0x0D	// Enable YCbCr, sync, control outputs	
WR_REG,VID_DEC,1,0x17,0x1B  	// Disable scaler powerdown for ROM2.0 and enable SAV/EAV codes
//WR_REG,VID_DEC,1,0x15,0x81	// Enable Stable Sync mode

SELECT,VID_DEC,4
WR_REG,VID_DEC,1,0x7F,0x00	// Restart TVP5154 uP
WR_REG,VID_DEC,1,0x03,0x0D	// Enable YCbCr, sync, control outputs	
WR_REG,VID_DEC,1,0x17,0x1B  	// Disable scaler powerdown for ROM2.0 and enable SAV/EAV codes
//WR_REG,VID_DEC,1,0x15,0x81	// Enable Stable Sync mode

INCLUDE,THS8200_NTSC_SMPTE_YPBPR.INC		// Set for 525 line video initially

END_DATASET

////////////////////////////////////////////////////////////////////////////////////////

BEGIN_DATASET

DATASET_NAME,"TVP5154 ROM - Initialize for PAL + THS8200"

// Write initial settings to all 4 TVP5154 decoders

SELECT,VID_DEC,1
WR_REG,VID_DEC,1,0x7F,0x00	// Restart TVP5154 uP
WR_REG,VID_DEC,1,0x03,0x0D	// Enable YCbCr, sync, control outputs	
WR_REG,VID_DEC,1,0x05,0x0C	// Enable Clock 2 output
WR_REG,VID_DEC,1,0x17,0x1B  	// Disable scaler powerdown for ROM2.0 and enable SAV/EAV codes
WR_REG,VID_DEC,1,0x15,0x81	// Enable Stable Sync mode

SELECT,VID_DEC,2
WR_REG,VID_DEC,1,0x7F,0x00	// Restart TVP5154 uP
WR_REG,VID_DEC,1,0x03,0x0D	// Enable YCbCr, sync, control outputs	
WR_REG,VID_DEC,1,0x05,0x0C	// Enable Clock 2 output
WR_REG,VID_DEC,1,0x17,0x1B  	// Disable scaler powerdown for ROM2.0 and enable SAV/EAV codes
WR_REG,VID_DEC,1,0x15,0x81	// Enable Stable Sync mode

SELECT,VID_DEC,3
WR_REG,VID_DEC,1,0x7F,0x00	// Restart TVP5154 uP
WR_REG,VID_DEC,1,0x03,0x0D	// Enable YCbCr, sync, control outputs	
WR_REG,VID_DEC,1,0x05,0x0C	// Enable Clock 2 output
WR_REG,VID_DEC,1,0x17,0x1B  	// Disable scaler powerdown for ROM2.0 and enable SAV/EAV codes
WR_REG,VID_DEC,1,0x15,0x81	// Enable Stable Sync mode

SELECT,VID_DEC,4
WR_REG,VID_DEC,1,0x7F,0x00	// Restart TVP5154 uP
WR_REG,VID_DEC,1,0x03,0x0D	// Enable YCbCr, sync, control outputs	
WR_REG,VID_DEC,1,0x05,0x0C	// Enable Clock 2 output
WR_REG,VID_DEC,1,0x17,0x1B  	// Disable scaler powerdown for ROM2.0 and enable SAV/EAV codes
WR_REG,VID_DEC,1,0x15,0x81	// Enable Stable Sync mode

INCLUDE,THS8200_PAL_SMPTE_YPBPR.INC		// Set for 525 line video initially

END_DATASET


////////////////////////////////////////////////////////////////////////////////////////

BEGIN_DATASET

DATASET_NAME,"TVP5154 Load RAM Code p5154_0292.hra"

WR_REG,VID_DEC,1,0xfe,0x0f		// all decoders
WR_REG,VID_DEC,1,0x7F,0x00		// Restart TVP5150 uP
WR_REG,VID_DEC,1,0x70,0x00		// Davids TVP5150 uP

WR_REG,VID_DEC,1,0x21,0x51  // unlock password for patch code download & register write
WR_REG,VID_DEC,1,0x22,0x54  // unlock password for patch code download & register write
WR_REG,VID_DEC,1,0x23,0xFF  // unlock password for patch code download & register write
WR_REG,VID_DEC,1,0x24,0x04  // unlock password for patch code download & register write
WR_MEM,VID_DEC,p5154_0292.hra			// Load patch code
WR_REG,VID_DEC,1,0x7F,0x00			// Restart CPU

END_DATASET

////////////////////////////////////////////////////////////////////////////////////////



